namespace Kit.Helpers;
using System;

public class AuthorizationException : Exception
{
    private const string _messageDefault = "Нет доступа к выполнению операции";
    public string? RedirectUrl { get; set; }

    public AuthorizationException() : base(_messageDefault) { }
    public AuthorizationException(string? message) : base(message ?? _messageDefault) { }
    public AuthorizationException(string? message, Exception? exception) : base(message ?? _messageDefault, exception) { }
}